Summary: Creates an initial ramdisk image for preloading modules
Name: mkinitrd
Version: 6.0.63
%define subrel 1
Release: %manbo_mkrel 17
License: GPLv2+
URL: http://www.redhat.com/
Group: System/Kernel and hardware
Source0: mkinitrd-%{version}.tar.bz2
# Mandriva sources
Source100: mkinitrd-sysconfig
Source101: askpass.c
# RH patches
# Mandriva patches
Patch100: mkinitrd-6.0.52-noselinux.patch
# no proper dhcp lib package yet
Patch101: mkinitrd-6.0.62-nonetwork.patch
Patch102: mkinitrd-6.0.28-etc-blkid.patch
# fix regexp match with bash-3.2, notably to fix RAID with mdadm
# (similar to initscripts bug: Mdv #32501, RH #220087)
Patch103: mkinitrd-6.0.63-rmatch.patch
Patch104: mkinitrd-6.0.28-use-both-ahci-ata_piix.patch
Patch105: mkinitrd-6.0.62-source-sysconfig-later.patch
Patch106: mkinitrd-6.0.62-resume.patch
Patch107: mkinitrd-6.0.28-closedir.patch
Patch108: mkinitrd-6.0.28-usage-uname-r.patch
Patch109: mkinitrd-6.0.62-fix-modules-check.patch
Patch110: mkinitrd-6.0.62-ide.patch
Patch111: mkinitrd-6.0.63-dsdt.patch
# handle root=<devnum> from lilo
Patch112: mkinitrd-6.0.62-root-devnum.patch
Patch113: mkinitrd-6.0.63-kbd.patch
Patch115: mkinitrd-6.0.63-resume-md.patch
Patch119: mkinitrd-6.0.28-fstab-auto.patch
Patch123: mkinitrd-6.0.62-relatime.patch
Patch130: mkinitrd-6.0.62-gz-modules.patch
Patch131: mkinitrd-6.0.34-nash-dm_task_run.patch
Patch132: mkinitrd-6.0.52-scsi_alias.patch
Patch133: mkinitrd-6.0.52-disk_driver.patch
Patch134: mkinitrd-6.0.62-fb0.patch
Patch135: mkinitrd-6.0.62-splashy.patch
# check that /dev exists in new root, not to wrongly clean old root
# since we need /dev to stop splashy and show error messages
Patch136: mkinitrd-6.0.63-checkroot.patch
Patch137: mkinitrd-6.0.63-fix_usbstorage.patch
Patch139: mkinitrd-6.0.62-libdeps.patch
Patch140: mkinitrd-6.0.37-killhotplug.patch
# this patch is probably wrong somehow
# but otherwise, symlinks do not get installed properly
Patch141: mkinitrd-6.0.63-fix-symlinks.patch
Patch142: mkinitrd-6.0.62-hooks.patch
Patch143: mkinitrd-6.0.63-askpass.patch
Patch144: mkinitrd-6.0.63-noglib.patch
# (fc) add support for bootchart (rtp)
Patch145: mkinitrd-6.0.63-bootchart.patch
# (fc) disable usb by default, it is enabled automatically when needed
Patch146: mkinitrd-6.0.63-disable_usb_by_default.patch
# (fc) use waitdev to wait for rootfs and resume partition
Patch147: mkinitrd-6.0.63-waitdev.patch
# (fc) make sure ppoll won't overflow
Patch148: mkinitrd-6.0.63-ppoll.patch
# (upstream) mount options are ignored sometimes
Patch149: mkinitrd-6.0.63-nashmountopts.patch 

Requires: util-linux-ng
Requires: mktemp >= 1.5-9mdk findutils >= 4.1.7-3mdk
Requires: grep, mount, gzip, tar
Requires: filesystem >= 2.1.0, cpio, initscripts >= 8.63-1mdv2008.1
Requires: e2fsprogs >= 1.38-12, coreutils
Requires: module-init-tools >= 3.3-pre11
BuildRequires: popt-devel
BuildRequires: e2fsprogs-devel parted-devel >= 1.8.5, pkgconfig 
BuildRequires: device-mapper-devel python-devel
BuildRequires: python util-linux-ng
BuildRequires: libelf-devel
%ifarch ppc
Requires: ppc64-utils >= 0.3-1
%endif
Requires: nash = %{version}-%{release}
#mkinitrd can work without those, but lesser versions are broken
#Conflicts: udev <= 0.51-1mdk
Conflicts: lvm1 < 1.0.8-2mdk
Conflicts: lvm2 < 2.01.09
Conflicts: mdadm < 2.5.3-3mdv
Conflicts: bootloader-utils < 1.8-1mdk, bootsplash < 3.1.12
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
mkinitrd creates filesystem images for use as initial ram filesystem
(initramfs) images.  These images are used to find and mount the root
filesystem.

%package devel
Summary: C header files and library for functionality exported by libnash
Group: Development/C
Requires: glibc-devel, pkgconfig, e2fsprogs-devel, mkinitrd
Requires: nash = %{version}-%{release}

%package -n libbdevid-python
Summary: Python bindings for libbdevid
Group: Development/Other
Requires: python, nash = %{version}-%{release}

%package -n nash
Summary: Nash shell
Group: System/Kernel and hardware
Provides: libbdevid = %{version}-%{release}
Obsoletes: libbdevid < %{version}-%{release}
Conflicts: mkinitrd < 6.0.28-2mdv2008.1

%description devel
C header files and library for functionality exported by libnash

%description -n libbdevid-python
Python bindings for libbdevid.

%description -n nash
nash shell used by initrd

%prep
%setup -q
# RH
# Mandriva
%patch100 -p1 -b .noselinux
%patch101 -p1 -b .nonetwork
%patch102 -p1 -b .etc-blkid
%patch103 -p1 -b .rmatch
%patch104 -p1 -b .use-both-ahci-ata_piix
%patch105 -p1 -b .source-sysconfig-later
%patch106 -p1 -b .resume
%patch107 -p1 -b .closedir
%patch108 -p1 -b .usage-uname-r
%patch109 -p1 -b .fix-modules-check
%patch110 -p1 -b .ide
%patch111 -p1 -b .dsdt
%patch112 -p1 -b .root-devnum
%patch113 -p1 -b .kbd
%patch115 -p1 -b .resume-md
%patch119 -p1 -b .fstab-auto
%patch123 -p1 -b .relatime
%patch130 -p1 -b .gz-modules
%patch131 -p1 -b .nash-dm_task_run
%patch132 -p1 -b .scsi_alias
%patch133 -p1 -b .disk_driver
%patch134 -p1 -b .fb0
%patch135 -p1 -b .splashy
%patch136 -p1 -b .checkroot
%patch137 -p1 -b .fix_usbstorage
%patch139 -p1 -b .libdeps
%patch140 -p1 -b .killhotplug
%patch141 -p1 -b .fix-symlinks
%patch142 -p1 -b .hooks
%patch143 -p1 -b .askpass
%patch144 -p1 -b .glib
%patch145 -p1 -b .bootchart
%patch146 -p1 -b .disable_usb_by_default
%patch147 -p1 -b .waitdev
%patch148 -p1 -b .ppoll
%patch149 -p1 -b .mountopts

cp %{SOURCE101} .
find . -name "Makefile*" -exec sed -i 's|-Werror||g' {} \;

%build
make LIB=%{_lib}
make LIB=%{_lib} test
make askpass LDFLAGS=

%install
rm -rf $RPM_BUILD_ROOT
make LIB=%{_lib} DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir} install
rm -f $RPM_BUILD_ROOT/sbin/bdevid $RPM_BUILD_ROOT/%{_includedir}/blkent.h

# Mandriva
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -m 644 %{SOURCE100} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/mkinitrd

rm -f $RPM_BUILD_ROOT/sbin/installkernel
rm -f $RPM_BUILD_ROOT/usr/libexec/mkliveinitrd
install askpass $RPM_BUILD_ROOT/usr/libexec/askpass

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(755,root,root) /sbin/mkinitrd
%attr(644,root,root) %{_mandir}/man8/mkinitrd.8*
%attr(755,root,root) /sbin/new-kernel-pkg
%attr(755,root,root) /sbin/grubby
%attr(644,root,root) %{_mandir}/man8/grubby.8*
# Mandriva
%config(noreplace) %{_sysconfdir}/sysconfig/mkinitrd
%{_prefix}/libexec/initrd-functions
%{_prefix}/libexec/askpass

%files devel
%defattr(-,root,root)
%{_libdir}/libnash.so
%{_libdir}/libbdevid.so
%{_libdir}/libbdevidprobe.a
%{_libdir}/pkgconfig/libnash.pc
%{_libdir}/pkgconfig/libbdevid.pc
%{_libdir}/pkgconfig/libbdevidprobe.pc
%{_includedir}/nash.h
%{_includedir}/nash
%{_includedir}/bdevid.h
%{_includedir}/bdevid

%files -n libbdevid-python
%{python_sitearch}/bdevid.so

%files -n nash
%defattr(-,root,root)
%attr(644,root,root) %{_mandir}/man8/nash.8*
%attr(755,root,root) /sbin/nash
%attr(755,root,root) /sbin/lsinitrd
/%{_lib}/bdevid
%{_libdir}/libnash.so.*
%{_libdir}/libbdevid.so.*


%changelog
* Fri Jun 05 2009 Oden Eriksson <oeriksson@mandriva.org> 6.0.63-17.1mnb2
- built for updates

* Wed Jun 03 2009 Christophe Fergeau <cfergeau@mandriva.org> 6.0.63-17mnb2
+ Revision: 382439
- 6.0.63-17
- fix handling of mount options in nashmount

* Tue Apr 07 2009 Pascal Terjan <pterjan@mandriva.org> 6.0.63-16mnb2
+ Revision: 365066
- Properly exclude dm/md devices from lvm pv to wait for

* Tue Apr 07 2009 Pascal Terjan <pterjan@mandriva.org> 6.0.63-15mnb2
+ Revision: 365051
- Fix RAID handling

* Mon Apr 06 2009 Pascal Terjan <pterjan@mandriva.org> 6.0.63-14mnb2
+ Revision: 364491
- Fix handling of root=<devno>

* Fri Apr 03 2009 Pascal Terjan <pterjan@mandriva.org> 6.0.63-13mnb2
+ Revision: 363820
- Support root=301 (from lilo) in waitdev
- use waitdev on underlying devices for lvm/dmcrypt/dmraid/...

* Thu Apr 02 2009 Pascal Terjan <pterjan@mandriva.org> 6.0.63-12mnb2
+ Revision: 363551
- Wait (only) for needed devices when using dmcrypt

* Wed Mar 04 2009 Frederic Crozat <fcrozat@mandriva.com> 6.0.63-11mnb2
+ Revision: 348470
- Update patch147 to no use waitdev for crypted rootfs

* Tue Feb 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 6.0.63-10mnb2
+ Revision: 337122
- keep bash completion in its own package

* Wed Jan 28 2009 Frederic Crozat <fcrozat@mandriva.com> 6.0.63-9mnb2
+ Revision: 334903
- Update 145 to copy all needed files for bootchartd

* Thu Jan 22 2009 Frederic Crozat <fcrozat@mandriva.com> 6.0.63-8mnb2
+ Revision: 332487
- Update patch145 to work with latest bootchart-logger package

* Mon Jan 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 6.0.63-7mnb2
+ Revision: 328611
- bash completion

* Sat Dec 27 2008 Funda Wang <fundawang@mandriva.org> 6.0.63-6mnb2
+ Revision: 319810
- rediff checkroot patch
- rediff resume-md patch
- rediff kbd patch
- rediff dsdt patch
- rebuild for new python

* Thu Nov 13 2008 Frederic Crozat <fcrozat@mandriva.com> 6.0.63-5mnb2
+ Revision: 302752
- Update patch 147 to display a little message before starting waitdev, reduce timeout to 1min and fix raid volume detection
- Patch148: prevent ppoll overflow

* Fri Oct 31 2008 Frederic Crozat <fcrozat@mandriva.com> 6.0.63-4mnb2
+ Revision: 298847
- Patch146: disable usb by default, it will be auto-enabled when needed
- Patch147: use waitdev to wait for rootfs and resume partition

* Mon Oct 27 2008 Frederic Crozat <fcrozat@mandriva.com> 6.0.63-3mnb2
+ Revision: 297726
- Patch145 (rtp): add support for bootchartd

  + Pascal Terjan <pterjan@mandriva.org>
    - Do not use glib (saves about 400KB in compressed initrd)

  + Luca Berra <bluca@mandriva.org>
    - make encrypted system devices work in initrd (#44464)

* Fri Sep 12 2008 Olivier Blin <oblin@mandriva.com> 6.0.63-1mnb2
+ Revision: 284255
- allow to run hooks from /etc/sysconfig/mkinitrd.d/ just before packing initrd image, to run OEM hacks (from Wanderlei Antonio Cavassin)
- fix installation of symlinked files, even if this patch is probably wrong somehow (from Pascal Terjan, #43576)
- rediff fix_usbstorage patch
- rediff rmatch patch
- remove merged upstream patch
- 6.0.63

* Wed Sep 10 2008 Olivier Blin <oblin@mandriva.com> 6.0.62-6mnb2
+ Revision: 283443
- kill nash-hotplug explicitely before running init, and make it abort
  nicely if it can't contact nash anymore (instead of taking all the cpu
  with finit)

* Thu Sep 04 2008 Olivier Blin <oblin@mandriva.com> 6.0.62-5mnb2
+ Revision: 280604
- wait once only for driver initialization (patch from upstream)

* Tue Aug 26 2008 Olivier Blin <oblin@mandriva.com> 6.0.62-4mnb2
+ Revision: 276214
- do not include splashy in initrd if splash is set to no in /etc/sysconfig/bootsplash
- start splashy only if splash=silent is on command line (adding if-splash nash builtin)

* Mon Aug 25 2008 Olivier Blin <oblin@mandriva.com> 6.0.62-3mnb2
+ Revision: 275666
- when probing devices, check device access since blkid now returns cached devices that may not exist (as of e2fsprogs commit 8bcaaabb1a023af4852dbf0dba76249982c62e40), this fixes boot with lilo

* Wed Aug 20 2008 Olivier Blin <oblin@mandriva.com> 6.0.62-2mnb2
+ Revision: 274256
- fix resolving library deps (IF_RTLD can not be modified when get_dso_deps is called in a subshell...)

* Tue Aug 19 2008 Olivier Blin <oblin@mandriva.com> 6.0.62-1mnb2
+ Revision: 273923
- package initrd-functions
- rediff fix_usbstorage patch
- rediff fb0 patch
- rediff gz-modules patch (because some code has been moved to a functions lib)
- rediff relatime patch
- rediff dsdt patch (and remove hunk importing unused dsdt_file)
- rediff ide patch
- rediff fix-modules-check patch
- rediff resume patch
- rediff source-sysconfig-later
- rediff nonetwork and rmatch patches
- 6.0.62

* Fri Aug 01 2008 Olivier Blin <oblin@mandriva.com> 6.0.52-5mnb2
+ Revision: 259706
- wait for USB devices initialization when usb_storage is builtin too (from Arnaud Patard)
- fix detection of usb_storage module (for device wait, from Arnaud Patard)

* Thu Jul 24 2008 Olivier Blin <oblin@mandriva.com> 6.0.52-4mnb2
+ Revision: 245145
- exit splashy if boot fails
- check that /dev exists in new root, not to wrongly clean old root
  since we need /dev to stop splashy and show error messages

* Wed Jul 23 2008 Olivier Blin <oblin@mandriva.com> 6.0.52-3mnb2
+ Revision: 243616
- initial splashy support
- create /dev/fb0 in initrd (for splashy)

* Fri May 09 2008 Olivier Blin <oblin@mandriva.com> 6.0.52-2mnb2
+ Revision: 204811
- force sd_mod and ide-disk loading when needed (not to depend on current kernel, #38825)
- do not unconditionally load ide-disk
- handle install/probeall modprobe commands for scsi_hostadapter

* Wed May 07 2008 Olivier Blin <oblin@mandriva.com> 6.0.52-1mnb2
+ Revision: 202678
- buildrequire libelf-devel
- package lsinitrd
- remove handleraid awk patch (fixed upstream)
- rediff noselinux/nonetwork/dsdt patches
- 6.0.52

* Mon Mar 24 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 6.0.37-2mnb1
+ Revision: 189807
- fix incorrect awk syntax that broke handling of raid devices (P132)

* Tue Mar 18 2008 Olivier Blin <oblin@mandriva.com> 6.0.37-1mnb1
+ Revision: 188600
- remove UUID/LABEL hack, it's now better handled upstream (might fails with encrypted partitions though)
- rediff DSDT patch
- 6.0.37 (should fix device-mapper issues, #37777)

* Mon Mar 17 2008 Makoto Dei <makoto@turbolinux.co.jp> 6.0.34-2mnb1
+ Revision: 188349
- nash didn't handle the return value of dm_task_run correctly. (#38723)

* Mon Mar 10 2008 Olivier Blin <oblin@mandriva.com> 6.0.34-1mnb1
+ Revision: 183423
- remove mkliveinitrd
- 6.0.34
- rediff noselinux patch

* Sun Feb 24 2008 Andrey Borzenkov <arvidjaar@mandriva.org> 6.0.29-6mnb1
+ Revision: 174443
- update patch106 - nash-resume truncated kernel command line so any
  argument after resume=... was lost (e.g. init=/bin/sh)

* Sun Feb 24 2008 Olivier Blin <oblin@mandriva.com> 6.0.29-5mnb1
+ Revision: 174340
- fix mount options list for relatime in testing mode
- rediff resume-md patch
- run nash-resume (nash builtin, instead of resume binary directly) when trying to trigger resume
- install resume as /bin/resume (to match path from nash)

* Fri Feb 22 2008 Olivier Blin <oblin@mandriva.com> 6.0.29-4mnb1
+ Revision: 173956
- drop parted requirement in nash, only the lib is required
- drop explicit lib requirements
- fix installation of /usr/sbin/resume

* Thu Feb 21 2008 Olivier Blin <oblin@mandriva.com> 6.0.29-3mnb1
+ Revision: 173426
- fix resume= handling

* Tue Feb 19 2008 Olivier Blin <oblin@mandriva.com> 6.0.29-2mnb1
+ Revision: 173044
- handle root=<devnum> from lilo (#37718)

* Mon Feb 18 2008 Olivier Blin <oblin@mandriva.com> 6.0.29-1mnb1
+ Revision: 171282
- 6.0.29
- drop patches from upstream
- add modules listed in ide-controller alias (and allow to force/forbid inclusion with --force-ide-probe and  --omit-ide-modules options)
- fix modules check (i.e. allow to add piix even if ata_piix is already in the modules list)

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 6.0.28-7mnb1
+ Revision: 171226
- replace %%mkrel with %%manbo_mkrel for Manbo Core 1

* Thu Feb 14 2008 Olivier Blin <oblin@mandriva.com> 6.0.28-7mdv2008.1
+ Revision: 167199
- add missing newlines in suspend2 messages
- remove wrong usbdriver call if usbhid is needed, set withusb instead

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary case

* Tue Feb 12 2008 Olivier Blin <oblin@mandriva.com> 6.0.28-6mdv2008.1
+ Revision: 166509
- fix summary ended with dot
- rephrase --dsdt help in man
- use result of "uname -r" in usage
- do not drop support for non-gzipped modules (#37633)
- source sysconfig later (from Eric Pielbug, #37673)
- rediff dsdt patch accordingly

* Fri Feb 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 6.0.28-5mdv2008.1
+ Revision: 164148
- remove bogus doble require added by blino

  + Olivier Blin <oblin@mandriva.com>
    - require util-linux-ng instead of file require /sbin/losetup
    - drop /bin/sh requires

* Fri Feb 08 2008 Olivier Blin <oblin@mandriva.com> 6.0.28-4mdv2008.1
+ Revision: 164102
- make nash conflict with old mkinitrd package that used to contain nash

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill again fileutils requires added in 6.0.28 which is already covered by coreutils require

* Fri Feb 08 2008 Olivier Blin <oblin@mandriva.com> 6.0.28-2mdv2008.1
+ Revision: 163998
- fix regexp match with bash-3.2, notably to fix RAID with mdadm
  (similar to initscripts bug: Mdv #32501, RH #220087)
- resolve UUID/LABEL with /dev devices, not /sys
 (so that resolved LVM devices can be used with lvs)
- use gzipped modules by default
- rewrite use-both-ahci-ata_piix patch
- remove some explicit lib requires
- drop cdrom label mount patch
- create /etc/blkid in initrd, so that cdrom mount by label can be
  done after running "showlabels --removable"
- rediff resume-md patch (not tested)
- rediff fstab-auto patch
- drop --omit-ide-modules (not really appropriate with current detection scheme)
- rediff relatime patch and add some MS_RELATIME definitions
- move suspend2/tuxonice support in nash (to be tested)
- rediff resume patch (to be tested)
- fix nonetwork patch
- do not build network and dhcp support
- do not link with selinux
- merge atkbd patch and ps2 kbd from old mdk patch in new kbd patch
- merge initramfs-dsdt and dsdt part of mdk patch in a new dsdt patch (with initramfs support only)
- drop big old mdk patch (dropping --debug-busybox and fatx support)
- drop initrd fs patch, we use initramfs by default
- drop uuid lvm patch (allegedly supported in new upstream version, but will require another patch)
- drop uuid mount patch (handled by blkid support)
- remove modprobe -k <kver> patches, upstream already uses modprobe --set-version <kver>
- drop /dev/rtc creation patch
- drop scsi_wait_scan patch (handled upstream)
- drop deprecated uuid patch related to volume_id (blkid is now used instead)
- remove deprecated switchroot arguments fix
- drop raid456 patch (handled in new upstream mkinitrd)
- drop deprecated usb_storage/sbp2 patch
- drop ide modules patch (resolved by modalias)
- remove scsi driver fallback patch (not useful since we resolve driver through modalias)
- drop evms support
- drop dmraid patch (handled in upstream mkinitrd)
- update closedir patch
- drop migration from mptscsih to mptspi and mptfc (automatically handled through modaliases)
- drop label patch (upstream uses blkid)
- do not build with -Werror (from Fedora)
- merge packaging with RH:
  o split nash, bdevid-python, devel packages
  o update requires/buildrequires
- drop dietlibc support
- add lvm/rtc patches from upstream
- 6.0.28
- license is GPLv2+

* Sat Jan 26 2008 Andrey Borzenkov <arvidjaar@mandriva.org> 4.2.17-57mdv2008.1
+ Revision: 158319
- Current dietlibc returns "unsigned long long" for major() and minor()
  device numbers. Cast them to proper type when using printf(); while at
  it, use %%u (for unsigned) instead of %%d, which is actually expected by kernel.
  This fixes resume from hibernation, because without it resumeCommand
  sometimes attempted to set wrong resume device in kernel.

* Fri Jan 25 2008 Andreas Hasenack <andreas@mandriva.com> 4.2.17-56mdv2008.1
+ Revision: 157909
- consolidate mkrootdev and use it once instead of 'n' times

* Tue Jan 08 2008 Andreas Hasenack <andreas@mandriva.com> 4.2.17-55mdv2008.1
+ Revision: 146560
- fix for when / is in LVM and using UUID (#36457)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 22 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-54mdv2008.0
+ Revision: 92215
- fix inclusion of usb controller modules when usb_storage is used (#33259)

* Sat Sep 22 2007 Luca Berra <bluca@mandriva.org> 4.2.17-53mdv2008.0
+ Revision: 92203
- fix location of 64bit shared libraries (#33849)
- add requires for recent modules-init-tool (modinfo -k)

* Thu Sep 20 2007 Thomas Backlund <tmb@mandriva.org> 4.2.17-52mdv2008.0
+ Revision: 91534
- readd tuxonice support without removing old suspend2 support
- revert tuxonice support

* Thu Sep 20 2007 Thomas Backlund <tmb@mandriva.org> 4.2.17-51mdv2008.0
+ Revision: 91264
- fix suspend2 support due to upstream renaming to tuxonice

* Wed Sep 19 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-50mdv2008.0
+ Revision: 90912
- fix uuid display in nash

* Fri Sep 14 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-49mdv2008.0
+ Revision: 85521
- fix UUID detection when device has no label

* Fri Sep 07 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-48mdv2008.0
+ Revision: 81723
- do not make scsi_wait_scan module mandatory (i.e. fix titipo to allow rebuilding initrd with 2.6.17)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - workaround --debug-busybox by defaulting to ext2 when used since for some
      unknown reason, busybox doesn't start from ramfs

* Wed Aug 29 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-47mdv2008.0
+ Revision: 73536
- hide some errors
- fix findmodule() when called recursively

* Wed Aug 29 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-46mdv2008.0
+ Revision: 73360
- fix looking for module deps when the module name contains underscores

* Tue Aug 28 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-45mdv2008.0
+ Revision: 72295
- fix module copy broken by latest patch

* Mon Aug 27 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-44mdv2008.0
+ Revision: 71971
- use modinfo to find module filename (should fix loading modules with underscores in modname and dashes in filename, such as usb_storage)
- add pata drivers in initrd if listed in scsi_hostadapter (when mkinitrd is run from a kernel with legacy IDE modules)
- pass kernel version when running modinfo to find the module if it does not exist for running kernel

* Fri Aug 24 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-43mdv2008.0
+ Revision: 70871
- drop bundled volume_id source code, use libvolume_id static dietlibc archive instead
- drop strnlen patch, link with dietlibc libcompat instead
- revert usage of label_raw introduced in commit 49761, this breaks iso9660 label detection

* Fri Aug 24 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-42mdv2008.0
+ Revision: 70843
- create /dev/rtc when /dev is mounted as tmpfs as well

* Mon Aug 20 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-41mdv2008.0
+ Revision: 68047
- pre-create /dev/rtc in initrd (hwclock is started before udev in rc.sysinit, #30401)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill file require on perl-base

* Wed Aug 15 2007 Andrey Borzenkov <arvidjaar@mandriva.org> 4.2.17-40mdv2008.0
+ Revision: 63740
- patch25: --omit-ide-modules; useful for migrating from IDE kernel

* Mon Aug 13 2007 Thierry Vignaud <tvignaud@mandriva.com> 4.2.17-39mdv2008.0
+ Revision: 62598
- load scsi_wait_scan driver for SCSI devices (see rh #220470)
- kill support for kernel > 2.6.x

* Sat Aug 11 2007 Andrey Borzenkov <arvidjaar@mandriva.org> 4.2.17-38mdv2008.0
+ Revision: 61998
- support relatime mount option (requires updated dietlibc to build)

* Sun Aug 05 2007 Luca Berra <bluca@mandriva.org> 4.2.17-37mdv2008.0
+ Revision: 59138
- fix sysconfig file placement

* Sat Aug 04 2007 Andrey Borzenkov <arvidjaar@mandriva.org> 4.2.17-36mdv2008.0
+ Revision: 58943
- update patch6: fix extraction of resume= argument
- remove patch20 (getKernelArg), it was wrong

* Sun Jul 08 2007 Andrey Borzenkov <arvidjaar@mandriva.org> 4.2.17-35mdv2008.0
+ Revision: 49766
- bump release
- patch22: new libvolume_id returns textual representation of UUID; use it.
  It probably should be just merged in label patch.
- update patch2: trivial fix for new libvolume_id.
- update patch1: use libvolume_id from udev 113. This enables mkinitrd correctly
  recognize different suspend signatures.
- patch21: add strnlen(), required by new libvolume_id.
- patch20: getKernelArg() is supposed to return single kernel argument, not
  rest of command line starting from the requested arg.
- updated patch0: smartmknod() always failed for existing device nodes. Use
  st_rdev instead of st_dev when comparing to device files.

* Sat Jun 16 2007 Luca Berra <bluca@mandriva.org> 4.2.17-34mdv2008.0
+ Revision: 40381
- use sys interface for suspend2 (#31322)
- provide a default /etc/sysconfig/mkinitrd (#30872)
- remove insmod-DIET program and requirement for insmod.static, not needed on kernel-2.6 (#30673)
- probe devices to find filesystem if we have auto in fstab (#30873)
- give a more friendly error message when fstab is broken (#31206)
- dmraid: support for group sets, e.g. isw. (fix #30982)

* Wed May 16 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-33mdv2008.0
+ Revision: 27319
- fix switchroot when used without --movedev (#30441)

* Mon Apr 23 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-32mdv2008.0
+ Revision: 17600
- drop make nash run udev when called as hotplug (udev is not in the initrd anymore)
- do not create /dev/.udevdb anymore (deprecated path)

* Sat Apr 21 2007 Luca Berra <bluca@mandriva.org> 4.2.17-31mdv2008.0
+ Revision: 16541
- fix --force_evms on x86_64 (#29904)
- support md raid10 (#28171) and combined raid456 module
- probe for i8042 with modular ps2 keyboards (#27030)
- support LABEL= and UUID= mounts in /etc/fstab (#28184)
- fix infinite loop when parsing /proc/scsi/scsi (#27221)
- fix detection of udev since udevstart was removed (#30358)


* Fri Mar 23 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-30mdv2007.1
+ Revision: 148683
- check if resume device exists before resuming (to avoid prompts from resume binary)

* Fri Mar 23 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-29mdv2007.1
+ Revision: 148236
- do not conflict with suspend-scripts to ease upgrade, pm-utils will take care of the proper package ordering

* Sun Mar 11 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-28mdv2007.1
+ Revision: 141319
- allow to resume if device is specified in suspend.conf instead of command line

* Thu Jan 18 2007 Olivier Blin <oblin@mandriva.com> 4.2.17-27mdv2007.1
+ Revision: 110304
- fork when running userspace resume, so that the boot can go on if not resuming
- userspace resume support

  + Luca Berra <bluca@mandriva.org>
    - 25mdv
    - * From Anssi Hannula (#26393)
      	- Fix adding usb/1394 host drivers in certain situations
    - fix copying of libgcc_s.so.1 when using EVMS (#26492)
    - fix copying of libgcc_s.so.1 when using EVMS

* Fri Sep 15 2006 Luca Berra <bluca@mandriva.org> 4.2.17-24mdv2007.0
+ Revision: 61508
- support resume when booting from md
- support for raid10 fakeraids
  support for lvm and md over dmraid
- resume before resume2
- use patch from rapsys for suspend2 support
- support swsuspend2
- add support for modular ps2 keyboard
- fix dsdt_file parameter name change
- uncompressed patches
  workaround for ide controllers defined as scsi_hostadapter
- changelog is now stored in SVN
- fix case where DSDT file is a symlink

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway
    - dummy test commit

  + Luiz Fernando Capitulino <lcapitulino@mandriva.com>
    - Initial mkinitrd import

* Wed May 10 2006 Luca Berra <bluca@vodka.it> 4.2.17-19mdk
- remove dmraid conflict as it will block upgrades
- make ide-controller entries in modprobe.conf optional

* Sat Apr 22 2006 Luca Berra <bluca@vodka.it> 4.2.17-18mdk
- fallback nicely when probing of scsi adapter fails
- use ignorelocking when invoking dmraid, so it works on readonly initrdfs
- conflicts with dmraid built with dietlibc on x86_64 due to ContraPolice problem

* Tue Apr 11 2006 <bluca@vodka.it> 4.2.17-17mdk
- allow using --initrdfs=xxxx again
- fix --force-evms flag

* Tue Apr 11 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.2.17-16mdk
- re-enable initramfs as default
- conflicts: bootsplash < 3.1.12
- handle dsdt override support in initramfs (rtp)

* Mon Apr 10 2006 Luca Berra <bluca@vodka.it> 4.2.17-15mdk
- default to initramfs only when using kernel 2.6 (but hold the patch
  since i cannot boot initramfs on my test machine)
- fix missing closedir prevenitng umount of /initrd/sys (#16699)
- fix another silly dmraid command line option bug
- fix evms detection and add --force-evms flag (#12467)
- fixes verif_scsidriver when mkinitrd knows more than modprobe.conf (#20877)

* Wed Apr 05 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.2.17-14mdk
- default to initramfs
- handle migrations from mptscsih to mptspi and mptfc (#21648)
- handle ahci/ata_piix through new migrate_scsidriver() infrastructure
- handle automatic resume (detected through resume= option parsed from cmdline)

* Tue Feb 28 2006 Olivier Blin <oblin@mandriva.com> 4.2.17-13mdk
- Patch2: don't fail when multiple CD-Rom drives are detected (#21304)

* Thu Dec 22 2005 Thierry Vignaud <tvignaud@mandriva.com> 4.2.17-12mdk
- patch 0: fix EVMS support (obvious bug)

* Fri Dec 16 2005 Olivier Blin <oblin@mandriva.com> 4.2.17-11mdk
- check all scsi drivers, not only the first one (#20057, Luca Berra)

* Thu Dec 15 2005 Olivier Blin <oblin@mandriva.com> 4.2.17-10mdk
- Patch1 (updates):
  o fix weird bug that makes nash segfault when some read() fail
    because of a typing issue (it actually appears to be fixed in
    latest libvolume_id, but nash uses an old one)
  o fix buffer overflow that may blank device names found by label
- Patch2: add label support for CD-Rom devices

* Thu Nov 17 2005 Pixel <pixel@mandriva.com> 4.2.17-9mdk
- have both ata_piix and ahci (so that you can still boot after changing in the BIOS)

* Wed Oct 05 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 4.2.17-8mdk
- use dietlibc on ppc64 too

* Mon Oct 03 2005 Erwan Velu <erwan@seanodes.com> 4.2.17-7mdk
- Adding a better label support using vol_id

* Fri Sep 16 2005 Pixel <pixel@mandriva.com> 4.2.17-6mdk
- fix nash's mkdevices to create /dev/cciss/c0d0 for /sys/block/cciss!c0d0

* Thu Sep 15 2005 Pixel <pixel@mandriva.com> 4.2.17-5mdk
- verif scsidriver() returns scsi drivers belonging to scsi_hostadapter
  (=> fixes missing BusLogic for vmware)
  (=> wildcatch fix for things like mptscsih which says it is mptbase)

* Thu Aug 04 2005 Luca Berra <bluca@vodka.it> 4.2.17-4mdk
- fix silly bug when using lvm and intird is a readonly filesystem (#16936)

* Wed Jul 06 2005 Luca Berra <bluca@vodka.it> 4.2.17-3mdk 
- create fb0 device if we are using graphics boot and udev

* Tue Jul 05 2005 Luca Berra <bluca@vodka.it> 4.2.17-2mdk 
- create /dev/tty0

* Fri Jul 01 2005 Luca Berra <bluca@vodka.it> 4.2.17-1mdk 
- sync with rh 4.2.17
  don't use udev/udevstart do it internally
  remove files from initramfs before executing the new init.
  reworked "console=" handling
- man page fixes (#16439)
- really load all device mapper modules
- support loopback root over fatx on xbox (Stew)
- load sd_mod when using dmraid (Pixel)
- hack to workaround stacked md devices
- revert the "allow changing root device from command line"

* Wed May 04 2005 Luca Berra <bluca@vodka.it> 4.2.12-1mdk 
- merge rh 4.2.12
  - work correctly with noclobber set
  - add dm-mirror, dm-zero, dm-snapshot modules when using lvm2
  - allow changing root device from command line when using lvm/dmraid
  - better support for initramfs
  - require cpio for initramfs
  - allow mounting root by uuid
  - nash: expand environment variables on command line
  - nash: Don't copy "console=" arguments from /proc/cmdline to init
- use an even bigger udev tmpdir
- lvm1/2: activate only the root vg
- lvm2: use --ignorelockingfailure for vgmknodes
- lvm2: use a better lvm.conf
- rework the boot scsi controller detection for 2.6 kernels using sysfs
- move the iteraid hack so it doesn't interfere with other drivers
- add an option to spawn a busybox for debugging initrd
- nash: fix a bug causing mount to ignore the --ro parameter if rw was specified in fstab
- remove the remountdev hack, use switchroot --movedev

* Sun Mar 20 2005 Luca Berra <bluca@vodka.it> 4.1.12-9mdk 
- fold p1 (iteraid) into p0
- fix boot from usb drive (#14144)
- support dmraid as a root device (lvm over dmraid is not yet supported)
- preliminary support for evms as a root device (needs testing)

* Mon Mar 07 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.1.12-8mdk
- patch 0: some system needs quite large /dev (#14092)

* Mon Feb 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.1.12-7mdk
- patch 0: make all boot messages use the same case

* Mon Feb 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.1.12-6mdk
- do not increase basesystem size (Stefan van der Eijk)

* Fri Feb 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.1.12-5mdk
- patch 0: support udev-051

* Fri Jan 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.1.12-4mdk
- patch 0: use a larger tmpfs for /dev like done in udev package (udev-048+)

* Thu Jan 20 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 4.1.12-3mdk
- patch 1: it821x relaced both it8212 and iteraid

* Thu Nov 04 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.1.12-2mdk
- manually fix IT8212 -> iteraid

* Mon Sep 27 2004 Luca Berra <bluca@vodka.it> 4.1.12-1mdk 
- merge bits from rh 4.1.12
- workaround case where you have more than one different scsi controllers,
  and root fs is not on the first.
- detect non-scsi disk drivers (DAC960, cpqarray, cciss, ...)
- manpage fixes

* Mon Sep 20 2004 Luca Berra <bluca@vodka.it> 4.1.9-4mdk 
- copy udev.conf again, or udev will not work
- also copy permission file so devices will have correct mode
- merge p1 into p0

* Thu Sep 16 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 4.1.9-3mdk
- patch1: load ieee1394 controller driver(s) and use 5s delay for sbp2

* Thu Sep 09 2004 Frederic Lepied <flepied@mandrakesoft.com> 4.1.9-2mdk
- don't copy udev.conf to avoid having devices in 600 mode by default

* Tue Sep 07 2004 Luca Berra <bluca@vodka.it> 4.1.9-1mdk 
- big merge from redhat's 4.1.9
  initramfs support (NOT TESTED)
  use new mount magic instead of pivot_root (NOT TESTED)
  nash update
- udev support, without breaking devfs
- use klibc version of udev tools if available
- remove handledevfs function (kernel does it anyway)
- manpage update
- load usbhid module if we have an usb keyboard and no ps2 keyboards

* Sat Sep 04 2004 Frederic Lepied <flepied@mandrakesoft.com> 3.5.24-4mdk
- remove modprobe loop not needed anymore

* Fri Sep 03 2004 Frederic Lepied <flepied@mandrakesoft.com> 3.5.24-3mdk
- fixed typo in scsi driver function
- added a fallback for scsi drivers that aren't populating /proc/scsi
correctly
- modprobe loop

* Sun Aug 29 2004 Luca Berra <bluca@vodka.it> 3.5.24-2mdk 
- rework driver detection
  look deeper for stacked md arrays
  chose only needed scsi controllers
  remove most usb-storage related kludges
- use stat instead of ls to find major numbers
- check for modular initrdfs and choke
- remove the --omit-lvm-modules option
- other small cleanups

* Sun Aug 29 2004 Luca Berra <bluca@vodka.it> 3.5.24-1mdk 
- merge bits from redhat 3.5.24
  fix usb-storage detection with 2.6
  add support for RAID6
  quiet mode for nash
- internal insmod command, use external insmod only for 2.4 kernels
- remove mkinitrd-helper, keep only insmod-busybox
- rework erwan patch, use character classes instead of bare tabs in regexp.
- use of dietlibc is chosen by the spec file.
- update manpages with code changes
- other minor fixes

* Wed Aug 25 2004 Erwan Velu <erwan@mandrakesoft.com> 3.5.18-19mdk
- Patch 5 : A wrong ident in moduledep() brakes the modules 
dependencies on the 2.4 kernel series when you own more 
than 3 dependencies ! It sounds silly but that's real !

* Fri Aug 20 2004 Olivier Blin <blino@mandrake.org> 3.5.18-18mdk
- add INITRDDSDT321DSDT321 after the dsdt file for 2.6 kernels

* Sun Aug 15 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.5.18-17mdk
- fix patch4 for 2.4 usb hcd module names in /etc/modprobe.conf

* Sat Aug 14 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.5.18-16mdk
- patch 4: load usb interface drivers for usb-storage

* Sat Jul 31 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.5.18-15mdk
- fix broken boot-from-USB that pixel gratuitously broken in -14mdk (#10471)
- patch 3: rediff since pixel inserted patch prior w/o bothering checking other
  patches

* Tue Jun 29 2004 Pixel <pixel@mandrakesoft.com> 3.5.18-14mdk
- mkinitrd doesn't add splash by itself anymore
- conflicts with old bootloader-utils and bootsplash

* Wed Jun 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.5.18-13mdk
- patch 2: load scsi_mod too for 2.4.x kernels

* Wed Jun 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.5.18-12mdk
- patch 2: add support for boot from USB for 2.4.x kernels

* Sat May 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.5.18-11mdk
- merge patch 5 into patch 0 (simplify patch)

* Sat May 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.5.18-10mdk
- patch 0: do not gratuitously drop root=LABEL=foobar support
- patch 5:fix root=LABEL=foobar support
- require a fixed dietlibc in order to have working root=LABEL=foobar

* Sat Apr 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.5.18-9mdk
- drop patch 4 (merged into simplified patch 0)

* Tue Apr 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.5.18-8mdk
- patch 4: enable to boot with root on usb

* Sun Apr 04 2004 Luca Berra <bluca@vodka.it> 3.5.18-7mdk
- Fix for broken sprintf in dietlibc
- Fixed nplanel's changelog

* Tue Mar 23 2004 Frederic Lepied <flepied@mandrakesoft.com> 3.5.18-6mdk
- make the source declaration rpmbuildupdate compatible
- added --force-usb option
- source /etc/sysconfig/mkinitrd to be able to set permanent options

